{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  networking.firewall.allowedUDPPorts = [ 51821 ];
  networking.wireguard.enable = true;
  networking.wg-quick.interfaces.wg0.configFile = "/persist/manual/wireguard/drmario.conf";
  systemd.services."wg-quick-wg0".after = [
    "nss-lookup.target"
    "systemd-resolved.service"
    "multi-user.target"
  ];

  systemd.services."wg-quick-wg0".preStart = "${pkgs.toybox}/bin/sleep 10";

  # environment.systemPackages = with pkgs; [
  #   wireguard-tools
  # ];

}
